MUTTPRINT(1)

NAME
muttprint - schöner Ausdruck von Mails mit Mutt

SYNTAX
muttprint [Optionen]... [-f Datei]

BESCHREIBUNG
Diese Man Page enthält eine kurze Beschreibung von Muttprint. Ursprünglich wurde sie für die Debian GNU/Linux-Distribution geschrieben, weil das Originalprogramm keine Man Page hatte, nun habe ich die Seite in das POD-Format konvertiert.

Muttprint ist ein Hilfsprogramm, das den Ausdruck von Mutt und anderen Mailprogrammen wie XFMail oder PINE so konvertiert, dass er wie der Ausdruck von Netscape Messenger oder KMail aussieht. Es kann einen kleinen Pinguin auf die erste Seite sowie eine Kopfzeile auf jede Seite drucken. Ausserdem druckt es nur die wichtigen Header und nicht alle.

Eine ausfürliche Benutzeranleitung finden Sie in /usr/share/doc/packages/muttprint/ im PDF- und HTML-Format.

Wie auch immer, Sie müssen folgende Zeile in Ihre /etc/Muttrc oder ~/.muttrc eintragen:

        set print_command="muttprint"

Wenn Sie die Einstellungen von Muttprint anpassen wollen, kopieren Sie einfach /usr/share/doc/packages/muttprint/sample-muttprintrc-de nach /etc/Muttprintrc oder ~/.muttprintrc in Abhängigkeit davon, ob Sie die Einstellungen für das ganze System oder nur für einen Benutzer ändern möchten.

Muttprint besitzt standardmäßig die englische Spracheinstellung, wenn die Umgebungsvariable LANG nicht gesetzt ist. Zum Beispiel können Sie in einer deutschen Umgebung folgendes setzen:

        export LANG=de_DE

Dies kann in beispielsweise in Ihrer ~/.bashrc vorgenommen werden. Für genauere Informationen über die Lokalisierung von Muttprint lesen Sie das Benutzerhandbuch.

PROBLEME
Wenn Muttprint nicht druckt und stattdessen meldet: lpr: unable to print file client-error-not-found, sollten Sie versuchen, einen anderen Drucker als lp zu benutzen, zum Beispiel lp5 oder tp0 (wenn Sie TurboPrint verwenden).

Für CUPS Benutzer eine Anmerkung: Die Einstellung PRINTER="lp" funktioniert normalerweise nicht, wenn PRINT_COMMAND=CUPS angegeben ist. Benutzen Sie stattdessen den Druckernamen (z.B. LaserJet), den Sie leicht überprüfen können, indem Sie lpq auf der Kommandozeile eingeben. Natürlich kann es sein, dass Ihr Drucker lp heißt, dann passt die Einstellung PRINTER="lp".

OPTIONEN
BITTE BEACHTEN: Diese Optionen überschreiben die zugehörigen Einstellungen in ~/.muttprintrc und /etc/Muttprintrc.

Hier finden Sie eine Beschreibung aller Kommandozeilenoptionen. Eine Beschreibung der Einstellungen in der Konfigurationsdatei finden Sie in sample-muttprintrc-de, welche Sie mit Muttprint erhalten haben.

-h, --help
    Gibt eine Liste aller möglichen Optionen aus.

-v, --version
    Gibt die aktuelle Version von Muttprint aus.

--print-locale
    Gibt Informationen über die aktuelle Sprachumgebung aus.

-f Datei, --file Datei
    Liest von einer Datei anstelle von STDIN. Nützlich für einige Mailclients wie XFMail. Wenn Datei auf - gesetzt ist liest Muttprint von STDIN.

-p Druckername, --printer Druckername
    Verwendet einen anderen Drucker wie die Voreinstellung oder wie die Einstellung in der RC-Datei. Sie können auch in Datei drucken, wenn Sie als Druckername TO_FILE:/Pfad/zu/Datei eintragen. Wenn Sie den Ausdruck nach STDOUT haben möchten, müssen Sie als Druckernamen - angeben.

-C Druckbefehl, --printcommand Druckbefehl
    Setzt den zum Drucken verwendeten Befehl auf Druckbefehl. Dabei wird der String $PRINTER durch den angegebenen Druckernamen ersetzt. CUPS-Unterstützung kann mit CUPS aktiviert werden; alternativ können Sie jedes beliebige Kommando angeben, der den String $CUPS_OPTIONS enthält, welcher dann durch die Optionen für CUPS ersetzt wird.

-i Datei, --penguin Datei
    Druckt Datei als Bild oben rechts auf das Blatt. Datei muss den vollständigen Pfad beinhalten. Wenn Sie Datei auf off setzen wird kein Bild gedruckt.

-x, --x-face | -nox, --nox-face
    Schaltet den Druck des im X-Face:-Header übermittelten Bildes ein oder aus. Ausführliche Erklärung in der Dokumentation.

-t Zahl, --speed Zahl
    Dies ist die Zeit in ganzen Sekunden, die Ihr Drucker für eine Seite benötigt. Die Angabe wird nur beim Duplexdruck ausgewertet. Die Voreinstellung ist 30 (Sekunden).

-w Zahl, --wait Zahl
    Dauer in Sekunden, die Muttprint zwischen dem Druck der geraden und ungeraden Seiten warten soll.

-F Schriftname, --font Schriftname
    Hier können Sie eine schöne Schriftfamilie für den Ausdruck auswählen. Möglich sind: Latex, Latex-bright, Latin-Modern, Times, Utopia, Palatino, Charter und Bookman, CentSchool, Chancery, Helvetica und AvantGarde. Ob alle Schriften verfügbar sind hängt von Ihrer LaTeX-Installation ab. Voreinstellung ist Latex.

-H, --headrule | -noH, --noheadrule
    Hier können Sie einstellen, ob ab Seite 2 nach der Kopfzeile eine Linie gedruckt werden soll oder nicht.

-b, --footrule | -nob, --nofootrule
    Hier können Sie einstellen, ob auf allen Seiten über der Fußzeile eine Linie gedruckt werden soll oder nicht.

-S Stil, --frontstyle Stil
    Wählen Sie einen Stil für den Ausdruck der Mailheader auf der ersten Seite: plain, border (default), Border, fbox, shadowbox, ovalbox, Ovalbox, doublebox, grey, greybox. Für eine genauere Beschreibung lesen Sie das Handbuch.

-a Header, --printed-headers Header
    Geben Sie die zu druckenden Header an. Trennen Sie die jeden Header mit "_" ab. Mit * eingeschlossene Header werden fett gedruckt, bei / erfolgt Kursivschrift. Ist einer der angegebenen Header nicht vorhanden, wird er weggelassen. Die Reihenfolge beim Druck ist dieselbe wie hier angegeben.

    Zwei Beispiele:

            Date_To_From_CC_Newsgroups_*Subject*   (Standard)
            /Date/_To_From_X-Mailer_*/Subject/*

-P Papierformat, --paper Papierformat
    Wählen Sie ein Papierformat: A4 in den meisten Ländern ("DIN A4" in Deutschland) und letter in den Vereinigten Staaten.

-e Zeichenkette, --date Zeichenkette
    Diese Option erlaubt zwei Einstellungen: original und local. Bei original wird das Datum unverändert wie im Mailheader gedruckt, d. h. auf Englisch und in der Zeitzone des Absenders. Bei local konvertiert Muttprint das Datum und die Uhrzeit in die Systemzeitzone und gibt das Datum in der Systemsprache aus. Vgl. die Optionen --date-format und --lang.

    Beispiele:

            original: Tue, 15 Jan 2002 21:43:49 +0100
            local:    Dienstag, 15. Januar 2002 21:43:49

-E Zeichenkette, --date-format Zeichenkette
    Über diese Option lässt sich das Datums-format (falls local gewählt wurde) genauer definieren. Als Argumente werden Format-Strings nach strftime(3) akzeptiert, z. B.

            "%A, %d. %B %Y %H:%M:%S" (üblich in Deutschland)
            "%a, %d.%m.%y %H:%M"     (verkürzte Form)
            "%Y-%m-%d %H:%M:%S"      (nach ISO)

-A Zeichenkette, --addressformat Zeichenkette
    Hiermit lässt sich einstellen, wie Mailadressen gedruckt werden. Der Wert original lässt die Header unverändert. Andernfalls ist dieser Option ein Formatstring zu übergeben, wobei folgende Ersetzungen vorgenommen werden:

            %r              Name ("Realname")
            %a              Mailadresse
            \n              Zeilenumbruch

    Die Voreinstellung ist %r <%a>,\n. Zusätzlich können einzelne Bestandteile in Sternchen ("*") für Fettdruck oder in Schrägstriche ("/") für Kursivschrift eingeschlossen werden.

    Beispiel:

            "/%r/ (%a),"

    Die Anführungszeichen sind notwendig, damit die Zeichenkette nicht von der Shell in mehrere Bestandteile aufgebrochen wird.

-n Zeichenkette, --verbatimnormal Zeichenkette
    Damit können die Optionen festgelegt werden, die der Verbatim-Umgebung übergeben werden, in der der normale Mailtext gedruckt wird. Detaillierte Erklärungen finden Sie im Handbuch. Einige Beispiele:

            fontshape=it           kursive Schrift
            frame=topline          Rahmen über dem Block
            fontfamily=helvetica   Schrift Helvetica
            fontsize=\Huge         riesige Schrift

    Einzelne Optionen können mit Kommata getrennt werden, also z. B. fontshape=it,fontseries=b.

-V Zeichenkette, --verbatimsig Zeichenkette
    Wie --verbatimnormal, allerdings bezieht sich die Angabe auf die Signatur. Wird als Zeichenkette raw angegeben, findet keine Unterscheidung zwischen Signatur und Mailtext statt.

-D, --debug | -noD, --nodebug
    Wählen Sie, ob Muttprint in eine Logdatei /tmp/muttprint.log schreiben soll. Dieses Feature ist nützlich, um nach Hilfe zu fragen wenn Muttprint nicht funktioniert.

-B, --background | -noB, --nobackground
    Nach dem Einlesen der Daten von der Standardeingabe arbeitet Muttprint wird in den Hintergrund geschickt. Damit steht das Mailprogramm schneller wieder zur Verfügung. Nachteil: Es können keine Fehlermeldungen mehr angezeigt werden. Daher sollte diese Option nur benutzt werden, wenn Muttprint fehlerfrei funktioniert.

-d, --duplex | -nod, --noduplex
    Aktiviert oder deaktiviert Duplexdruck. Wenn es eingeschaltet ist druckt Muttprint zuerst nur ungerade Seiten, wartet einige Zeit und druckt dann die geraden Seiten.

-2 | -1
    Druckt zwei Seiten auf ein Blatt wie hier gezeigt.

            +----------+----------+
            |          |          |
            |          |          |
            |    1     |     2    |
            |          |          |
            |          |          |
            |          |          |
            +----------+----------+

    Dieses Feature wird im Manual und in der Konfigurationsdatei als Papiersparmodus bezeichnet.

-g Zahl, --topmargin Zahl
    Stellt den oberen Rand in Millimetern ein.

-G Zahl, --bottommargin Zahl
    Stellt den unteren Rand in Millimetern ein.

-j Zahl, --leftmargin Zahl
    Stellt den linken Rand in Millimetern ein.

-J Zahl, --rightmargin Zahl
    Stellt den rechten Rand in Millimetern ein.

-s, --rem_sig | -nos, --norem_sig
    Löscht die Signatur (abgetrennt durch "-- ") im Ausdruck. Dies ist bei sehr langen Signaturen nützlich. Aber immer mehr Menschen (oder Mailprogramme) trennen die Signatur nicht korrekt ab, so dass dieses Feature nicht immer richtig funktioniert, siehe auch die nächste Option.

--sig_regexp Regulärer Ausdruck
    Setzt den Regulären Ausdruck (in Perl-Syntax), der für Signaturerkennung verwendet wird. Die Standardeinstellung ist ^-- $.

-q, --rem_quote | -noq, --norem_quote
    Löscht zitierte Absätze vom Ausdruck.

    Muttprint erkennt die Zitate durch den gleichen regulären Ausdruck wie Mutt, es sollte also korrekt funktionieren.

-z Größe, --fontsize Größe
    Gibt die Schriftgröße an. Möglich sind 10pt, 11pt und 12pt.

-W Zahl, --wrapmargin Zahl
    Einstellung der maximalen Zeilenlänge. Längere Zeilen werden automatisch umgebrochen und der Absatz wird neu formatiert.

-r Datei, --rcfile Datei
    Gibt eine weitere Konfigurationsdatei an, die zusätzlich zur /etc/Muttprintrc und ~/.muttprintrc gelesen wird. Diese Datei überschreibt alle anderen Einstellungen, auch Kommandozeilenparameter. (Es hat also wenig Sinn, zusätzlich noch weitere Optionen außer -f anzugeben.)

DATEIEN

/usr/bin/muttprint
    Das Programm Muttprint selbst.

/usr/bin/muttprint-langinfo
    Hilfsprogramm zum Auslesen des Zeichensatzes.

/etc/Muttprintrc
    System-weite Konfigurationsdatei.

~/.muttprintrc
    Konfigurationsdatei für den jeweiligen Benutzer.

/tmp/muttprint-XXXXX
    Temporäre Datei, die von Muttprint erstellt wurde.

/usr/share/doc/packages/muttprint/
    Dokumentation in verschiedenen Sprachen und Formaten.

/usr/share/muttprint/
    Einige Bilder, die für den Druck auf der erste Seite der Mail verwendet werden können.

/usr/lib/muttprint/translations
    Die Übersetzungsdateien.

SIEHE AUCH
mutt(1)

Homepage: http://muttprint.sf.net

COPYRIGHT
© 2000-03 Bernhard Walle

Dies ist freie Software; im Quellcode finden Sie Details über die Kopierbedingungen. Es besteht keine Garantie; nicht einmal für MARKTREIFE oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.

AUTOR
Bernhard Walle <Bernhard.Walle@gmx.de>

MAINTAINER
Lukas Ruf <lukas.ruf@lpr.ch<gt>